#!/bin/bash

# Script using Plivo.com's free trial account for sending sms
# from Simon's Notifier using cURL with their REST API.
# --user data required for AUTH_ID:AUTH_TOKEN is on user's dashboard
# AUTH_ID is used again in URL between /Account/ & /Message/.



time=$(date +%k%M) ;

if [[ "$time" -ge 0001 ]] && [[ "$time" -le 2400 ]] ; then


MESSAGE=$(echo "Simon reports that {TestName} became unreachable at {NotificationTime} on {NotificationDate}")

curl --include --user MAY--***-****--@@@-ZW:M1gh94dtho_etc.GVj \
		--header "Content-Type: application/json" \
		--data '{"src": "1NXXNNNNNNN","dst": "1NXXNNNNNNN",
		"text": "'"$MESSAGE"'"}' \
		https://api.plivo.com/v1/Account/MAYJFJM2NMOTKXNZQZZW/Message/  \
		>> /Users/xxxx/Monitor/smslog/message_log.txt

	
fi